Bug 134683 - fix nested function crash on iOS
Summary: fix nested function crash on iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL: https://www.khronos.org/registry/webg...
Keywords:
Depends on: 134748
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-07 10:13 PDT by Alex Christensen
Modified: 2014-07-09 10:28 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.85 KB, patch)
2014-07-07 10:15 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2014-07-07 10:13:28 PDT
I verified that this fixes the WebGL crash in the nested-functions-should-not-crash.html test.
Comment 1 Alex Christensen 2014-07-07 10:13:50 PDT
<rdar://problem/17541529>
Comment 2 Alex Christensen 2014-07-07 10:15:54 PDT
Created attachment 234491 [details]
Patch
Comment 3 Geoffrey Garen 2014-07-07 10:59:05 PDT
Comment on attachment 234491 [details]
Patch

r=me

Is there a performance cost to this limit?
Comment 4 Alex Christensen 2014-07-07 11:05:56 PDT
(In reply to comment #3)
> (From update of attachment 234491 [details])
> r=me
> 
> Is there a performance cost to this limit?
If someone has a shader with more than 256 nested functions, it will no longer compile.  I don't think there's a performance hit because this only changes the shader validator, and I think the call depth is counted anyway.  It just wasn't used without this change.
Comment 5 WebKit Commit Bot 2014-07-07 11:21:39 PDT
Comment on attachment 234491 [details]
Patch

Clearing flags on attachment: 234491

Committed r170849: <http://trac.webkit.org/changeset/170849>
Comment 6 WebKit Commit Bot 2014-07-07 11:21:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Commit Bot 2014-07-08 17:37:38 PDT
Re-opened since this is blocked by bug 134748
Comment 8 Alex Christensen 2014-07-09 10:28:17 PDT
this did not break the build and it was not rolled out. reclosing.